Package org.apache.calcite.avatica.util

## Class AbstractCursor.SlotGetter

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.SlotGetter

All Implemented Interfaces:
  `AbstractCursor.Getter`

Enclosing class:
  AbstractCursor

    public class AbstractCursor.SlotGetter
    extends java.lang.Object
    implements AbstractCursor.Getter

Implementation of `AbstractCursor.Getter` that returns the current contents of a mutable slot.

### Field Summary

Fields
`java.lang.Object` `slot`

### Constructor Summary

Constructors
`SlotGetter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getObject()`
`boolean` `wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### slot

    public java.lang.Object slot

### Constructor Detail

#### SlotGetter

    public SlotGetter()

### Method Detail

#### getObject

    public java.lang.Object getObject()
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `AbstractCursor.Getter`
Throws:
  `java.sql.SQLException`

#### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

Specified by:
  `wasNull` in interface `AbstractCursor.Getter`
Throws:
  `java.sql.SQLException`